# Uses of Enum Class
org.bukkit.event.hanging.HangingBreakEvent.RemoveCause

Packages that use HangingBreakEvent.RemoveCause
Package
Description
org.bukkit.event.hanging
`Events` relating to `entities that hang`.

## Uses of HangingBreakEvent.RemoveCause in org.bukkit.event.hanging

Methods in org.bukkit.event.hanging that return HangingBreakEvent.RemoveCause
Modifier and Type
Method
Description
`HangingBreakEvent.RemoveCause`
HangingBreakEvent.`getCause()`
Gets the cause for the hanging entity's removal
`static HangingBreakEvent.RemoveCause`
HangingBreakEvent.RemoveCause.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static HangingBreakEvent.RemoveCause[]`
HangingBreakEvent.RemoveCause.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.bukkit.event.hanging with parameters of type HangingBreakEvent.RemoveCause
Modifier
Constructor
Description
``
`HangingBreakByEntityEvent(@NotNull Hanging hanging, @Nullable Entity remover, HangingBreakEvent.RemoveCause cause)`
``
`HangingBreakEvent(@NotNull Hanging hanging, HangingBreakEvent.RemoveCause cause)`